dia2code(1)

NAME
dia2code - Generate code from Dia files

SYNOPSIS
dia2code [-t programminglanguage] [-d dir] [-nc] [-c] [-cl classlist] [-v] diagramfile [-h] [--help]

DESCRIPTION

dia2code generates code from a Dia file containing a UML diagram. Output code can be: ActionScript3, Ada, C, C++, C#, Java, PHP4/PHP5, Python, Ruby, Shape File, or SQL create statements.

OPTIONS

-h --help
    Print help text and exit.

-t ada|as3|c|cpp|csharp|java|php|php5|python|ruby|shp|sql
    Selects the output language, default is C++ (cpp).

-d dir
    Output generated files to <dir>, default is "."

-nc Do not overwrite files that already exist.

-cl classlist
    Generate code only for the classes specified in the comma-separated <classlist>.
     E.g: Base,Derived.

-v  Invert the class list selection. When used without -cl prevents any file from
     being created.

-l licensefile
    Prepend the specified license to every source file generated.

diagramfile
    The Dia file that holds the diagram to be read.

AUTHOR

Written by Javier O'Hara <joh314@users.sourceforge.net> with contributions from Ruben Lopez <ryu@gpul.org> (C code generation), Chris McGee <sirnewton_01@yahoo.ca> (Dependencies, Associations, C++ Templates,
 SQL), Takashi Okamoto <toraneko@kun.ne.jp> (License inclusion mechanism), Thomas Preymesser <tp@odn.de> (Ada code generation), Jérôme Slangen <jeromes@mail.be> (Wildcard class list mechanism), Takaaki Tateishi <> (Dynamic Shared Objects for dynamic code generator modules), Martin Vidner <mvidner@users.sourceforge.net> (Porting to libxml2).

THANKS

Thanks to Collin Starkweather, Richard Torkar and Slush Gore for the extra help.

REPORTING BUGS

Report bugs to
<http://sourceforge.net/bugs/?func=addbug&group_id=15307>.

COPYRIGHT

Copyright © 2000-2001 Javier O'Hara
This is free software, and you are welcome to redistribute it under certain conditions; read the COPYING file for details.

SEE ALSO

dia(1)

ALSO SEE ALSO

The Dia homepage: <http://projects.gnome.org/dia/>
The dia2code homepage: <http://dia2code.sourceforge.net>